Page MenuHomePhabricator

[unplanned] In Special:ContentTranslation's Source and Target Language Selector Buttons, Drop-Downs Are Broken in RTL UI
Closed, ResolvedPublic

Description

In Special:ContentTranslation's source and target language selector buttons, the drop-downs are broken in RTL UI.

Event Timeline

Amire80 created this task.Dec 22 2014, 10:07 AM
Amire80 claimed this task.
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 changed Security from none to None.
Amire80 added subscribers: Aklapper, Amire80.
Amire80 added a subscriber: Pginer-WMF.

@Pginer-WMF, isn't .background-image-svg supposed to handle RTL adaptation automatically?

I don't know. I think that mixin is based on a technique I proposed to support SVGs with PNG fallback, but I don't know if it does anything else regarding RTL. Feel free to check the code.

I'm silly. The dropdown is OK. It's the text that is broken. Fixing...

Change 181392 had a related patch set uploaded (by Amire80):
Explicit text-align for language labels in the selector

https://gerrit.wikimedia.org/r/181392

Patch-For-Review

Amire80 renamed this task from in Special:ContentTranslation source and target language selector buttons the dropdowns are broken in RTL UI to Unplanned: in Special:ContentTranslation source and target language selector buttons the dropdowns are broken in RTL UI.Dec 22 2014, 10:46 AM
Amire80 renamed this task from Unplanned: in Special:ContentTranslation source and target language selector buttons the dropdowns are broken in RTL UI to [unplanned] in Special:ContentTranslation source and target language selector buttons the dropdowns are broken in RTL UI.
Amire80 added a project: LE-Sprint-80.
Amire80 moved this task from Backlog to In Review on the LE-Sprint-80 board.

Change 181392 merged by jenkins-bot:
Explicit text-align for language labels in the selector

https://gerrit.wikimedia.org/r/181392

Amire80 closed this task as Resolved.Dec 22 2014, 12:05 PM
Amire80 moved this task from In Review to Done on the LE-Sprint-80 board.
RandomDSdevel renamed this task from [unplanned] in Special:ContentTranslation source and target language selector buttons the dropdowns are broken in RTL UI to [unplanned] In Special:ContentTranslation's Source and Target Language Selector Buttons, Drop-downs are Broken in RTL UI.Mar 2 2015, 9:45 PM
RandomDSdevel renamed this task from [unplanned] In Special:ContentTranslation's Source and Target Language Selector Buttons, Drop-downs are Broken in RTL UI to [unplanned] In Special:ContentTranslation's Source and Target Language Selector Buttons, Drop-Downs Are Broken in RTL UI.
RandomDSdevel updated the task description. (Show Details)
RandomDSdevel awarded a token.
Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM